Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom.zdas
Class DasMessageAnalyzer

    java.lang.Object
      com.fxcm.fix.custom.zdas.DasMessageAnalyzer

    public class DasMessageAnalyzer

extends Object

Created by IntelliJ IDEA. User: egalperin Date: Jun 6, 2005 Time: 8:46:32 PM To change this template use File | Settings | File Templates.

Constructor Summary
`DasMessageAnalyzer()`

Method Summary
`static String` | `getFixMsgType(DasMessage aMsg)`
`static String` | `getFixMsgType(int aMsgType)`
`static String` | `getFixMsgType(String aMsgText)`
`static boolean` | `isCollateralReport(DasMessage aMsg)`
`static boolean` | `isCollateralReport(String aMsg)`
`static boolean` | `isEmail(DasMessage aMsg)`
`static boolean` | `isEmail(String aMsg)`
`static boolean` | `isExecutionReport(DasMessage aMsg)`
`static boolean` | `isExecutionReport(String aMsg)`
`static boolean` | `isLogon(DasMessage aMsg)`
`static boolean` | `isLogon(String aMsg)`
`static boolean` | `isNews(DasMessage aMsg)`
`static boolean` | `isNews(String aMsg)`
`static boolean` | `isOffer(DasMessage aMsg)`
`static boolean` | `isOffer(String aMsg)`
`static boolean` | `isPositionReport(DasMessage aMsg)`
`static boolean` | `isPositionReport(String aMsg)`
`static boolean` | `isRFQ(DasMessage aMsg)`
`static boolean` | `isSecurityStatus(DasMessage aMsg)`
`static boolean` | `isSecurityStatus(String aMsg)`
`static boolean` | `isTradingSessionStatus(DasMessage aMsg)`
`static boolean` | `isTradingSessionStatus(String aMsg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DasMessageAnalyzer

    public DasMessageAnalyzer()

Method Detail

### getFixMsgType

    public static String getFixMsgType(DasMessage aMsg)

### getFixMsgType

    public static String getFixMsgType(String aMsgText)

### getFixMsgType

    public static String getFixMsgType(int aMsgType)

### isRFQ

    public static boolean isRFQ(DasMessage aMsg)

### isOffer

    public static boolean isOffer(DasMessage aMsg)

### isEmail

    public static boolean isEmail(DasMessage aMsg)

### isNews

    public static boolean isNews(DasMessage aMsg)

### isExecutionReport

    public static boolean isExecutionReport(DasMessage aMsg)

### isCollateralReport

    public static boolean isCollateralReport(DasMessage aMsg)

### isPositionReport

    public static boolean isPositionReport(DasMessage aMsg)

### isSecurityStatus

    public static boolean isSecurityStatus(DasMessage aMsg)

### isTradingSessionStatus

    public static boolean isTradingSessionStatus(DasMessage aMsg)

### isLogon

    public static boolean isLogon(DasMessage aMsg)

### isOffer

    public static boolean isOffer(String aMsg)

### isEmail

    public static boolean isEmail(String aMsg)

### isNews

    public static boolean isNews(String aMsg)

### isExecutionReport

    public static boolean isExecutionReport(String aMsg)

### isCollateralReport

    public static boolean isCollateralReport(String aMsg)

### isPositionReport

    public static boolean isPositionReport(String aMsg)

### isSecurityStatus

    public static boolean isSecurityStatus(String aMsg)

### isTradingSessionStatus

    public static boolean isTradingSessionStatus(String aMsg)

### isLogon

    public static boolean isLogon(String aMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.